## ros-noetic-cob-hardware-emulation 0.8.22

=== debian/changelog ===
ros-noetic-cob-hardware-emulation (0.8.22-1focal) focal; urgency=high

  * Merge pull request #276 <https://github.com/ipa320/cob_control/issues/276> from fmessmer/fix/emulation_odom_laser
    publish odom_laser tf with current time
  * publish odom_laser tf with current time
  * Merge pull request #275 <https://github.com/ipa320/cob_control/issues/275> from FrederikPlahl/fix/odom_laser
    Fix emulation bug in transform odom -> base_footprint
  * remove obsolete import
  * Change frequency
  * Fix tf publishing bug
  * Merge pull request #274 <https://github.com/ipa320/cob_control/issues/274> from HannesBachter/fix/rename_scan_odom
    rename scan odom to /scan_odom_node/scan_odom/odometry
  * rename scan odom to /scan_odom_node/scan_odom/odometry
  * Contributors: Felix Messmer, FrederikPlahl, HannesBachter, fmessmer

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Fri, 28 Apr 2023 22:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.21-1focal) focal; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Tue, 03 Jan 2023 23:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.20-1focal) focal; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.19-1focal) focal; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.18-1focal) focal; urgency=high

  * Merge pull request #266 <https://github.com/ipa320/cob_control/issues/266> from HannesBachter/fix/emulation
    fix initialpose and add laser odom in emulation
  * fix some typos
  * add emulation_odom_laser to CMakeLists
  * generate odom laser from odom (not from twist)
  * publish odom->base in emulation_odom_laser
  * add emulation for laser odom
  * harmonize variables (add leading underscore)
  * fix initialpose handling in emulation
  * Contributors: Felix Messmer, HannesBachter

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Tue, 11 Jan 2022 23:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.17-1focal) focal; urgency=high

  * Merge pull request #265 <https://github.com/ipa320/cob_control/issues/265> from fmessmer/fix/emulation_argparse
    fixup emulation argparse
  * fixup emulation argparse
  * Merge pull request #264 <https://github.com/ipa320/cob_control/issues/264> from HannesBachter/feature/laser_odometry
    [no odom] make odom frame configurable
  * make odom frame configurable
  * Merge pull request #263 <https://github.com/ipa320/cob_control/issues/263> from fmessmer/emulation_nav
    separate emulation_nav from emulation_base
  * separate emulation_nav from emulation_base
  * Contributors: Felix Messmer, HannesBachter, fmessmer

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Wed, 22 Dec 2021 23:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.16-1focal) focal; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Mon, 18 Oct 2021 22:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.15-1focal) focal; urgency=high

  * Merge pull request #257 <https://github.com/ipa320/cob_control/issues/257> from fmessmer/fix_emulated_fjt_melodic
    [melodic] fix emulated fjt
  * never skip last traj point
  * Contributors: Felix Messmer, fmessmer

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Sun, 16 May 2021 22:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.14-1focal) focal; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Sun, 09 May 2021 22:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.13-1focal) focal; urgency=high

  * Merge pull request #253 <https://github.com/ipa320/cob_control/issues/253> from floweisshardt/feature/emulator_move_base_melodic
    melodic/noetic: add optional move_base interface to base emulator
  * add optional move_base interface to base emulator
  * Merge pull request #249 <https://github.com/ipa320/cob_control/issues/249> from fmessmer/fix/fjt_emulation_melodic
    [melodic] fix fjt emulation
  * use timer for joint_states
  * skip trajectory points faster than sample_rate
  * introduce sample_rate_hz parameter
  * Merge pull request #247 <https://github.com/ipa320/cob_control/issues/247> from fmessmer/fix_catkin_lint_melodic
    [melodic] fix catkin_lint
  * fix catkin_lint
  * Contributors: Felix Messmer, Florian Weisshardt, floweisshardt, fmessmer

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.12-1focal) focal; urgency=high

  * Merge pull request #243 <https://github.com/ipa320/cob_control/issues/243> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Merge pull request #244 <https://github.com/ipa320/cob_control/issues/244> from lindemeier/bugfix/length-bug
    [melodic] bugfix/length-bug
  * sets correct length and checks for length
  * Merge pull request #240 <https://github.com/ipa320/cob_control/issues/240> from benmaidel/feature/base_emu_reset_odom_melodic
    reset odometry service for base emulation
  * reset odometry service for base emulation
  * Contributors: Benjamin Maidel, Felix Messmer, fmessmer, tsl

 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Tue, 20 Oct 2020 22:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.11-1focal) focal; urgency=high



 -- Florian Weisshardt <florian.weisshardt@mojin-robotics.de>  Fri, 20 Mar 2020 23:00:00 -0000

ros-noetic-cob-hardware-emulation (0.8.10-1focal) focal; urgency=high

  * Merge pull request #236 <https://github.com/ipa320/cob_control/issues/236> from fmessmer/melodic/emulation_clock_cpp
    [melodic] add emulation_clock publisher - cpp variant
  * fix boost timer + use dt_ms
  * use boost timer
  * configurable emulation dt
  * add emulation_clock publisher - cpp variant

