=== debian/control ===
Source: ros-noetic-cob-hardware-emulation
Section: misc
Priority: optional
Maintainer: Florian Weisshardt <florian.weisshardt@mojin-robotics.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roscpp, ros-noetic-rosgraph-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-cob-hardware-emulation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-control-msgs, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-rosgraph-msgs, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-srvs, ros-noetic-tf-conversions, ros-noetic-tf2-ros
Description: The cob_hardware_emulation package provides idealized nodes emulating real robot hardware and/or physics simulation.
